%define oname   builder

Name:       ruby-%{oname}
Epoch:      1
Version:    3.0.4
Release:    %mkrel 4
Summary:    Builders for MarkUp
Group:      Development/Ruby
License:    MIT
URL:        http://onestepback.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch:  noarch

%description
Builder provides a number of builder objects that make creating structured
data simple to do.  Currently the following builder objects are supported:

  * XML Markup
  * XML Events


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
# no shebang in lib/ files (TODO: implement that in gem_helper.rb)
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
    -type f -exec sed -i '/^#!/d' {} \;

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGES
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Rakefile
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/MIT-LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/builder-1.2.4.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/builder-2.0.0.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/builder-2.1.1.rdoc


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1:3.0.4-4.mga3
+ Revision: 395727
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:3.0.4-3.mga3
+ Revision: 380661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1:3.0.4-2.mga3
+ Revision: 312482
- add requires

* Fri Nov 02 2012 fwang <fwang> 1:3.0.4-1.mga3
+ Revision: 312326
- 3.0.4 is more preferred

* Thu Nov 01 2012 fwang <fwang> 3.1.4-1.mga3
+ Revision: 312255
- update file list
- update file list
- new version 3.1.4

* Thu Jun 07 2012 shlomif <shlomif> 3.0.0-1.mga3
+ Revision: 257094
- New version: 3.0.0

* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-3.mga1
+ Revision: 39584
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-2.mga1
+ Revision: 39337
- fix missing require
- imported package ruby-builder

